Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class LocalJBossServerDomain

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.management.j2ee.J2EEManagedObject
                  org.jboss.management.j2ee.J2EEDomain
                      org.jboss.management.j2ee.LocalJBossServerDomain

All Implemented Interfaces:
  EventListener, J2EEDomainMBean, J2EEManagedObjectMBean, LocalJBossServerDomainMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, Serializable, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class LocalJBossServerDomain
extends J2EEDomain
implements javax.management.NotificationListener, LocalJBossServerDomainMBean

The integration MBean for the local JBoss server management domain. This bridges between the core JBoss JSR-77 agnostic code to the JSR-77 managed object interfaces.

Version:
  $Revision: 1.10 $
Author:
  Andreas Schaefer., Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.management.j2ee.J2EEManagedObject
`NAME, TYPE`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`LocalJBossServerDomain()` Creates a J2EEDomain with a domain name of "jboss.management.local"

Method Summary
`protected void` | `createService()`
`protected void` | `destroyService()` Called to destroy the service.
`javax.management.ObjectName` | `getCMDeployer()`
`javax.management.ObjectName` | `getEARDeployer()`
`javax.management.ObjectName` | `getEJBDeployer()`
`javax.management.ObjectName` | `getJMSService()`
`javax.management.ObjectName` | `getJNDIService()`
`javax.management.ObjectName` | `getJTAService()`
`javax.management.ObjectName` | `getMailService()`
`javax.management.ObjectName` | `getMainDeployer()`
`Class` | `getManagementObjFactoryMapClass()`
`javax.management.ObjectName` | `getRARDeployer()`
`javax.management.ObjectName` | `getRMI_IIOPService()`
`javax.management.ObjectName` | `getSARDeployer()`
`javax.management.ObjectName` | `getUserTransactionService()`
`javax.management.ObjectName` | `getWARDeployer()`
`void` | `handleNotification(javax.management.Notification msg, Object handback)` The JMX nofication callback.
`void` | `postCreation()`
`protected void` | `preDestruction()` Called during preDeregister to perform final cleanup of the mbean.
`protected void` | `registerWithDeployer(javax.management.ObjectName deployerName)` Register as a listener of the given deployer.
`void` | `setCMDeployer(javax.management.ObjectName name)`
`void` | `setEARDeployer(javax.management.ObjectName name)`
`void` | `setEJBDeployer(javax.management.ObjectName name)`
`void` | `setJMSService(javax.management.ObjectName name)`
`void` | `setJNDIService(javax.management.ObjectName name)`
`void` | `setJTAService(javax.management.ObjectName name)`
`void` | `setMailService(javax.management.ObjectName name)`
`void` | `setMainDeployer(javax.management.ObjectName name)`
`void` | `setManagementObjFactoryMapClass(Class cls)`
`void` | `setRARDeployer(javax.management.ObjectName name)`
`void` | `setRMI_IIOPService(javax.management.ObjectName name)`
`void` | `setSARDeployer(javax.management.ObjectName name)`
`void` | `setUserTransactionService(javax.management.ObjectName name)`
`void` | `setWARDeployer(javax.management.ObjectName name)`
`String` | `toString()`
`protected void` | `unregisterWithDeployer(javax.management.ObjectName deployerName)` Unregister as a listener of the given deployer.

Methods inherited from class org.jboss.management.j2ee.J2EEDomain
`addChild, getDomainName, getDomainServerName, getserver, getservers, removeChild`

Methods inherited from class org.jboss.management.j2ee.J2EEManagedObject
`getobjectName, getObjectName, getObjectName, getparent, getParentKeys, getType, getType, iseventProvider, isstateManageable, isstatisticsProvider, newObjectName, postRegister, preDeregister, removeObject, removeObject, sendNotification, setparent`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.management.j2ee.J2EEDomainMBean
`addChild, getserver, getservers, removeChild`

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### LocalJBossServerDomain

    public LocalJBossServerDomain()
                           throws javax.management.MalformedObjectNameException,
                                  InvalidParentException

  Creates a J2EEDomain with a domain name of "jboss.management.local"

Throws:
  `javax.management.MalformedObjectNameException`
  `InvalidParentException`

Method Detail

### getMainDeployer

    public javax.management.ObjectName getMainDeployer()

  Specified by:
    `getMainDeployer` in interface `LocalJBossServerDomainMBean`
  Returns:
    The MainDeployer mbean name

### setMainDeployer

    public void setMainDeployer(javax.management.ObjectName name)

  Specified by:
    `setMainDeployer` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The MainDeployer mbean name

### getSARDeployer

    public javax.management.ObjectName getSARDeployer()

  Specified by:
    `getSARDeployer` in interface `LocalJBossServerDomainMBean`
  Returns:
    The SARDeployer mbean name

### setSARDeployer

    public void setSARDeployer(javax.management.ObjectName name)

  Specified by:
    `setSARDeployer` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The SARDeployer mbean name

### getEARDeployer

    public javax.management.ObjectName getEARDeployer()

  Specified by:
    `getEARDeployer` in interface `LocalJBossServerDomainMBean`
  Returns:
    The EARDeployer mbean name

### setEARDeployer

    public void setEARDeployer(javax.management.ObjectName name)

  Specified by:
    `setEARDeployer` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The EARDeployer mbean name

### getEJBDeployer

    public javax.management.ObjectName getEJBDeployer()

  Specified by:
    `getEJBDeployer` in interface `LocalJBossServerDomainMBean`
  Returns:
    The EJBDeployer mbean name

### setEJBDeployer

    public void setEJBDeployer(javax.management.ObjectName name)

  Specified by:
    `setEJBDeployer` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The EJBDeployer mbean name

### getRARDeployer

    public javax.management.ObjectName getRARDeployer()

  Specified by:
    `getRARDeployer` in interface `LocalJBossServerDomainMBean`
  Returns:
    The RARDeployer mbean name

### setRARDeployer

    public void setRARDeployer(javax.management.ObjectName name)

  Specified by:
    `setRARDeployer` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The RARDeployer mbean name

### getCMDeployer

    public javax.management.ObjectName getCMDeployer()

  Specified by:
    `getCMDeployer` in interface `LocalJBossServerDomainMBean`
  Returns:
    The JCA Connection manager deployer name

### setCMDeployer

    public void setCMDeployer(javax.management.ObjectName name)

  Specified by:
    `setCMDeployer` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The JCA Connection manager deployer name

### getWARDeployer

    public javax.management.ObjectName getWARDeployer()

  Specified by:
    `getWARDeployer` in interface `LocalJBossServerDomainMBean`
  Returns:
    The WARDeployer mbean name

### setWARDeployer

    public void setWARDeployer(javax.management.ObjectName name)

  Specified by:
    `setWARDeployer` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The WARDeployer mbean name

### getJMSService

    public javax.management.ObjectName getJMSService()

  Specified by:
    `getJMSService` in interface `LocalJBossServerDomainMBean`
  Returns:
    The JMS service mbean name

### setJMSService

    public void setJMSService(javax.management.ObjectName name)

  Specified by:
    `setJMSService` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The JMS service mbean name

### getJNDIService

    public javax.management.ObjectName getJNDIService()

  Specified by:
    `getJNDIService` in interface `LocalJBossServerDomainMBean`
  Returns:
    The JNDI service mbean name

### setJNDIService

    public void setJNDIService(javax.management.ObjectName name)

  Specified by:
    `setJNDIService` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The JNDI service mbean name

### getJTAService

    public javax.management.ObjectName getJTAService()

  Specified by:
    `getJTAService` in interface `LocalJBossServerDomainMBean`
  Returns:
    The JTA service mbean name

### setJTAService

    public void setJTAService(javax.management.ObjectName name)

  Specified by:
    `setJTAService` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The JTA service mbean name

### getMailService

    public javax.management.ObjectName getMailService()

  Specified by:
    `getMailService` in interface `LocalJBossServerDomainMBean`
  Returns:
    The JavaMail service mbean name

### setMailService

    public void setMailService(javax.management.ObjectName name)

  Specified by:
    `setMailService` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The JavaMail service mbean name

### getUserTransactionService

    public javax.management.ObjectName getUserTransactionService()

  Specified by:
    `getUserTransactionService` in interface `LocalJBossServerDomainMBean`
  Returns:
    The UserTransaction service mbean name

### setUserTransactionService

    public void setUserTransactionService(javax.management.ObjectName name)

  Specified by:
    `setUserTransactionService` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The UserTransaction service mbean name

### getRMI_IIOPService

    public javax.management.ObjectName getRMI_IIOPService()

  Specified by:
    `getRMI_IIOPService` in interface `LocalJBossServerDomainMBean`
  Returns:
    The RMI/IIOP service mbean name

### setRMI_IIOPService

    public void setRMI_IIOPService(javax.management.ObjectName name)

  Specified by:
    `setRMI_IIOPService` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `name` - The RMI/IIOP service mbean name

### getManagementObjFactoryMapClass

    public Class getManagementObjFactoryMapClass()

  Specified by:
    `getManagementObjFactoryMapClass` in interface `LocalJBossServerDomainMBean`
  Returns:
    The ManagementObjFactoryMap class

### setManagementObjFactoryMapClass

    public void setManagementObjFactoryMapClass(Class cls)

  Specified by:
    `setManagementObjFactoryMapClass` in interface `LocalJBossServerDomainMBean`
  Parameters:
    `cls` - The ManagementObjFactoryMap class

### handleNotification

    public void handleNotification(javax.management.Notification msg,
                                   Object handback)

  The JMX nofication callback. Here we create/destroy JSR77 MBeans based on the create/destory notifications.

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`
  Parameters:
    `msg` - the notification msg
    `handback` - currently unused

### postCreation

    public void postCreation()

  Overrides:
    `postCreation` in class `J2EEManagedObject`

### toString

    public String toString()

  Overrides:
    `toString` in class `J2EEDomain`

### createService

    protected void createService()
                          throws Exception

  Throws:
    `Exception`

### destroyService

    protected void destroyService()
                           throws Exception

  Called to destroy the service. This unregisters with all deployers and then removes all MBeans in this services domain to remove all JSR77 beans.

  Throws:
    `Exception`

### preDestruction

    protected void preDestruction()

  Called during preDeregister to perform final cleanup of the mbean.

  Overrides:
    `preDestruction` in class `J2EEManagedObject`

### registerWithDeployer

    protected void registerWithDeployer(javax.management.ObjectName deployerName)

  Register as a listener of the given deployer.

  Parameters:
    `deployerName` -

### unregisterWithDeployer

    protected void unregisterWithDeployer(javax.management.ObjectName deployerName)

  Unregister as a listener of the given deployer.

  Parameters:
    `deployerName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.